<template>
  <v-app>

    <Toolbar @drawer="drawer = !drawer"/>
    
    <Drawer v-model="drawer"/>

    <v-content>
      <router-view/>
    </v-content>
  </v-app>
</template>

<script>
import {Toolbar, Drawer} from '../components'

export default {
  name: 'Main',
  components: {Toolbar, Drawer},
  data: () => ({
    drawer: null,
    user: null
  }),
  async created() {
    let res = await this.$http.get('/auth/user')
    this.user = res.data
  }
}
</script>

<style>
</style>
